%filelist={'ALL_AML_part_d2_EU.mat', 'ALL_AML_part_d3_EU.mat', 'CPG1_part_EU.mat', 'Medulloblastoma_part_EU.mat'};
filelist={'ALL_AML_part_d2_KL.mat','ALL_AML_part_d3_KL.mat','CPG1_part_KL.mat', 'Medulloblastoma_part_KL.mat'}; 
figure;
fsize=14;
for(i=1:4)
    subplot(1,4,i)
    hold on;
    load(filelist{i});    
    no=34;
    if(i==1 || i==2)
        no=38;
    end
    plot(no*(1-Acc_nmf(10:end)),'b-','linewidth',3);
    plot(no*(1-Acc_nmf_2(10:end)),'r-','linewidth',3);    
    %xlabel('Noise Level','fontsize',fsize);
    if(i==1)
        ylabel('Errors','fontsize',fsize);
    end        
    le=length(Acc_nmf);
    set(gca,'XTick', [10:10:le]-9,'XTickLabel',[10:10:le]*100,'fontsize',fsize-2);    
    a=axis;        
    axis([1-0.1, le-9+0.1,a(3)-0.1,a(4)+0.1])
    if(i==4)
    legend({'Basic NMF', 'Post-Processing'},'fontsize',fsize-2)
    end
end
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/1 scrsz(4)/5]);