%lamlist=[10,100, 1000, 10000,100000];
mulist=[0.01:0.01:0.1];

for(i=1:4)
    Acc_mean{i}=zeros(5,2);
    Acc_se{i}=zeros(5,2);
end
for(k=1:length(mulist))
    %lamda=lamlist(k);
    mu=mulist(k);
    %savename=['Add_Noise_Lam',num2str(lamda), '.mat']
    savename=['Add_Noise_mu',num2str(mu), '.mat'];
    load(savename); % to get Acc_nmf
    for(i=1:4)
        Acc_mean{i}(k,:)=mean(Acc_nmf{i});
        n=size(Acc_nmf{i},1);
        Acc_se{i}(k,:)=std(Acc_nmf{i},0,1)/sqrt(n);
    end
end

figure;
fsize=14;
for(i=1:4)
    subplot(1,4,i)
    hold on;
    errorbar(Acc_mean{i}(:,1),Acc_se{i}(:,1),'b','linewidth',2);
    errorbar(Acc_mean{i}(:,2),Acc_se{i}(:,2),'r','linewidth',2);
    set(gca,'XTick',1:10,'XTickLabel',{'.01','.02','.03','.04','.05','.06','.07','.08','.09','.1'},'fontsize',fsize-1);
    %xlabel('Noise Level','fontsize',fsize);
    if(i==1)
        %ylabel('Accuracy','fontsize',fsize);
    end
    a=axis;
    axis([1-0.1,10+0.1,a(3)-0.1,a(4)+0.1])
    legend({'Basic NMF', 'Post-Processing'},'fontsize',fsize)
end
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/1 scrsz(4)/4]);