StartUp
close all; clear all;
%TYPE='EU';
TYPE='KL';
for(d=[2,3])
    
    [A0,T,d]=get_data_ALL(d);
    for(i=1:50)
        % i
        ind=1:i*100;
        [Acc_nmf(i), Acc_nmf_1(i), Acc_nmf_2(i)]=get_hs(A0(ind,:), d,T,TYPE);
    end
    
    savename=['ALL_AML_part_d',  num2str(d), '_', TYPE, '.mat'];
    save(savename, 'Acc_nmf','Acc_nmf_2','Acc_nmf_1');    
    
    figure;
    hold on;
    plot(38*(1-Acc_nmf),'b-','linewidth',4);
    plot(38*(1-Acc_nmf_2),'r-','linewidth',4);
    
    set(gca,'XTick',[1, 10:10:50],'XTickLabel',[1, 10:10:50]*100,'fontsize',20);
    set(gca,'YTick',0:3,'fontsize',20);
    axis tight
    
    if(strcmp(TYPE,'KL'))
        axis([1 50 -0.1 3])
    else
        axis([1 50 0.9 4.1])
    end
    xlabel('Number of Input Genes','fontsize',20)
    ylabel('Errors','fontsize',20)
    legend({'Basic NMF', 'Post-Processing'},'fontsize',20)
    scrsz = get(0,'ScreenSize');
    set(gcf,'Position',   [1 1 scrsz(3)/2 scrsz(4)/2]);
end

