StartUp
close all
%TYPE='EU';
TYPE='KL';
[A0,T,d]=get_data_CPG;
%%
 
for(i=10:69)
    fprintf('\n');
    if(i==69)
        ind=1:size(A0,1);
    else
        ind=1:i*100;
    end
    [Acc_nmf(i), Acc_nmf_1(i), Acc_nmf_2(i)]=get_hs(A0(ind, :), d,T,TYPE);
end

figure(1);
hold on;
plot(34*(1-Acc_nmf),'b-','linewidth',4);
plot(34*(1-Acc_nmf_2),'r-','linewidth',4);

set(gca,'XTick',[10:10:69],'XTickLabel',[10:10:69]*100,'fontsize',20);
set(gca,'YTick',0:13,'fontsize',20);
axis tight
xlabel('Number of Input Genes','fontsize',20)
ylabel('Errors','fontsize',20)
legend({'Basic NMF', 'Post-Processing'},'fontsize',20)
if(strcmp(TYPE,'KL'))
    axis([10 69 0.9 4.1]);
else
    axis([10 69 5 14])
end
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/2 scrsz(4)/2]);

savename=['CPG1_part_', TYPE, '.mat'];
save(savename, 'Acc_nmf','Acc_nmf_2','Acc_nmf_1');

