train='data_set_ALL_AML_train.tsv';
fp=fopen(train,'r');
str=fgets(fp); % skip the first line
a=regexp(str,'\t','split');
k=length(a)-2;
k=k/2;
pattern=['%s%s', repmat('%d%s',1,k)];
s=textscan(fp,pattern ,'CollectOutput',1,'Delimiter','\t');
fclose(fp);
min_P=zeros(1,k);
max_A=zeros(1,k);
len=zeros(1,k);
n=length(s{1});
A=zeros(n,k);
P_A=cell(1,k);
for(i=1:k)    
    A(:,i)=s{2*i}; 
    P_A{i}=s{2*i+1};
    ind=find(strcmp(P_A{i}, 'P'));
    len(i)=length(ind);
end

re_scale=[1,0.9564,1.1405,1.0657,1.0379,1.7782,1.6803,1.4993,0.9251,1.2078,1.0709,1.4371,1.124,0.989,0.9211,1.051,1.0938,1.1875,1.1289,0.815,1.2493,1.3078,1.8999,1.0876,1.0961,1.0198,1.5647,0.9555,1.332,1.0136,1.308,1.0751,1.0958,1.0541,2.4046,1.1979,1.0697,1.149,2.414,1.464,1.5654,1.3826,2.4037,1.4825,1.2147,1.4439,2.1014,0.9503,1.4246,1.0369,2.0114,1.1434,1.121,1.5589,2.4965,2.575,1.9655,3.091,2.5419,1.5861,2.1674,2.3168,1.0679,2.711,1.3222,2.1734,1.3626,1.0689,0.9195,1.547,1.0785,1.3331];
re_scale=re_scale(1:38);

A=A*diag(1./re_scale);
scale=zeros(k);
 scale_gamma=zeros(k); 
for(j=1:k)
    for(i=1:k)
        ind1=find(strcmp(P_A{j}, 'P') & A(:,j)>0);
        ind=find(strcmp(P_A{i}, 'P') & A(:,i)>0);
% ind1=find(strcmp(P_A{j}, 'P'));
% ind=find(strcmp(P_A{i}, 'P'));
        ind=intersect(ind, ind1);
        Y=A(ind,j);
        X=A(ind,i);
        X0=X-mean(X);
        Y0=Y-mean(Y);        
        Sxy=sum(X0.*Y0);
        Sxx=sum(X0.^2);        
%         Sxy=sum(X.*Y);
%         Sxx=sum(X.^2);
        scale(j,i)=Sxy/Sxx;
        b=glmfit(X,Y,'gamma','link','identity','constant','off');
        scale_gamma(j,i)=b(end); 
    end
end

addpath C:\Users\0114845s\Desktop\People_NUIG\Cathal\NMF_Cancer\Experiment_Brunnet
addpath ../../Code_Summer2014/
addpath C:\Users\0114845s\Desktop\UTILI\ClusterAcc
addpath ../../Brunet/

sc=scale_gamma(:,1);%this is good
%sc=scale(:,1);
A1=A*diag(1./sc);
[Y,I]=sort(var(A1,0,2),'descend');
A1=A1(I(1:5000),:);
%A1(A1<0)=0;
A1(A1<20)=20;
A1=A1(sum(A1,2)>0,:);


%A1=max(A1,0);
Acc_nmf=experiment6(A1,d,T, 1,'KL')
