function [w,h]=best_nmf(X,d,no,type)
best=norm(X,'fro')^2;
if(nargin<3)
    no=1;
end
if(nargin<4)
    type='KL';
end
for(i=1:no)
    if(strcmp(type,'EU'))
        [w0,h0]=nmf_EU(X,d,0);
    else
        [w0,h0]=nmf(X,d,0);
    end
    if(i==1)
        w=w0;
        h=h0;
        if(no==1)
            break;
        end
    end
    if(strcmp(type,'EU'))
        red=norm(X -w0*h0,'fro');
    else
        red=kldiff(X, w0*h0);
    end
    %fprintf('%f\n',red);
    if(red<best)
        best=red;
        w=w0;
        h=h0;
    end
end
end