n=5000;
m=500;
a=rand(n,m);

plist=[1:0.1:10,inf];
k=length(plist);
pnorm=zeros(1,k);

for(i=1:k-1)
    p=plist(i);        
    %norm2=sqrt(diag(a'*a));
    normp=(sum(abs(a).^p,1)).^(1/p);
    pnorm(i)=var(normp)/mean(normp)/mean(normp);
end
ma=max(a,[],1);
pnorm(k)=var(ma)/mean(ma)/mean(ma);
pnorm=sqrt(pnorm);

qlist=[0.5,0.75,0.95];
cv=zeros(1,5);
for(i=1:length(qlist))
    q=qlist(i);
    t=quantile(a,q);
    cv(i)=std(t)/mean(t);
end
t=var(a);
cv(4)=std(t)/mean(t);

t=max(a,[],1);
cv(5)=std(t)/mean(t);

figure;
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/2 scrsz(4)/4]);
subplot(1,2,1);
hold on;
plot(log(pnorm),'b.','linewidth',8,'markersize',10);
plot(length(pnorm), log(pnorm(end)),'ro','linewidth',8,'markersize',4);
%plot(pnorm,'b.','linewidth',8);
%bar(pnorm)
ind=[1:10:k-2,k]
ind=setdiff(ind,10);
set(gca,'XTick',ind,'XTickLabel',plist(ind),'fontsize',13);
%axis([1 k -0.01*max(pnorm) max(pnorm)])
axis tight
    
xlabel('p','fontsize',13)
ylabel('Natural logarithm of CV','fontsize',13)

subplot(1,2,2);
bar(log(cv))
set(gca,'XTick',1:5,'XTickLabel',{'0.5q', '0.75q', '0.95q', 'var', 'max'},'fontsize',13);
axis tight
ylabel('Natural logarithm of CV','fontsize',13)
